# Gimp.Selection

    const Gimp = imports.gi.Gimp;

    let selection = new Gimp.Selection();

Functions for manipulating selections.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Drawable
      - Gimp.Channel
        - Gimp.Selection

## Static Functions

- Gimp.Selection.all
- Gimp.Selection.border
- Gimp.Selection.bounds
- Gimp.Selection.feather
- Gimp.Selection.float
- Gimp.Selection.flood
- Gimp.Selection.get_by_id
- Gimp.Selection.grow
- Gimp.Selection.invert
- Gimp.Selection.is_empty
- Gimp.Selection.none
- Gimp.Selection.save
- Gimp.Selection.sharpen
- Gimp.Selection.shrink
- Gimp.Selection.translate
- Gimp.Selection.value